%define major 2
%define minor 0
%define micro 13
%define extra %{nil}
%define rpm_release 1
%define release_name firmware-extract
%define release_version %{major}.%{minor}.%{micro}%{extra}

# per fedora python packaging guidelines
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           firmware-extract
Version:        %{release_version}
Release:        1.1
Summary:        A firmware-tools plugin to add firmware extraction from vendor binaries

Group:          Applications/System
License:        GPLv2+ and OSL 2.1
URL:            http://linux.dell.com/libsmbios/download/
Source0:        http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# SUSE doesnt have noarch python, so for SUSE, always build arch-dependent
%if ! 0%{?suse_version}
BuildArch: noarch
%endif

# SUSE build has anal directory ownership check. RPM which owns all dirs *must*
# be installed at buildtime. This means we have to BuildRequire them, even if
# we dont really need them at build time.
%if 0%{?suse_version}
BuildRequires: firmware-tools
%endif


BuildRequires:  python-devel
Requires: firmware-tools >= 0:2.0
Requires: python-sqlite2, python-sqlobject

%description
A firmware-tools plugin which adds the --extract mode to firmwaretool.

%prep
%setup -q


%build
# this line lets us build an RPM directly from a git tarball
[ -e ./configure ] || ./autogen.sh

# fix problems when buildsystem time is out of sync. ./configure will
# fail if newly created files are older than the packaged files.
# this should normally be a no-op on proper buildsystems.
touch configure
find . -type f -newer configure -print0 | xargs -r0 touch

%configure
make -e %{?_smp_mflags}


%install
# Fedora Packaging guidelines
rm -rf $RPM_BUILD_ROOT
# SUSE Packaging rpmlint
mkdir $RPM_BUILD_ROOT

make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

mkdir -p %{buildroot}/%{_localstatedir}/lib/%{name}/extract/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING-GPL COPYING-OSL README
%{python_sitelib}/*
%{_datadir}/firmware-tools/plugins/*
%config(noreplace) %{_sysconfdir}/firmware/firmware.d/*.conf
%dir %{_localstatedir}/lib/%{name}/
%dir %{_localstatedir}/lib/%{name}/extract/
#%attr(0755,root,root) %{_bindir}/*


%changelog
* Fri Jun 19 2009 Matt Domsch <Matt_Domsch@dell.com> - 2.0.7-1
- Move runtime data to /var/lib/firmware-extract/

* Mon Mar 12 2007 Michael E Brown <michael_e_brown at dell.com> - 1.2.0-1
- Fedora-compliant packaging changes.
